/**
  Generated Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This is the main file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs 

  Description:
    This header file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs  - 1.45
        Device            :  PIC18F46K22
        Driver Version    :  2.00
    The generated drivers are tested against the following:
        Compiler          :  XC8 1.35
        MPLAB             :  MPLAB X 3.40
*/


#include "mcc_generated_files/mcc.h"
#include "rtc.h"

/*
                         Main application
 */

void ClockStart(void)
{
    pdata = SetTime;
    a = 1;
    do
    {
        switch(a)
        {
            case 1:
            {
                SetTime[0] = RTCCcont;
                SetTime[1] = 0x80;
                break;
            }
            
            case 2:
            {
                SetTime[0] = RTCChr;
                SetTime[1] = H12_24;
            }
            
            case 3:
            {
                SetTime[0] = RTCChr;
                hours = 12;
                hours = hours+((hours/10)*6);
                SetTime[1] = hours;
                break;
            }
            
            case 4:
            {
                SetTime[0] = RTCCmin;
                minutes = 0;
                SetTime[1] = minutes;
                break;
            }
            
            case 5:
            {
                SetTime[0] = RTCCcont;
                SetTime[1] = 0x00;
            }
            
            default:
                break;
        }
        
        do
        {
            I2C1_MasterWrite(*pdata,2,RTCC,*pflag);

            while(*pflag == I2C1_MESSAGE_PENDING != I2C1_MESSAGE_COMPLETE)
            {
                if (*pflag == I2C1_MESSAGE_ADDRESS_NO_ACK
                        || I2C1_DATA_NO_ACK) break;
            }

            if (TimeOut == I2C_RetryMax)
            {
                *pflag = I2C1_MESSAGE_FAIL;
                break;
            }
            else TimeOut++;
        }
        while (*pflag != I2C1_MESSAGE_FAIL);
    } 
    while (a != 6);
}


void main(void)
{
    // Initialize the device
    SYSTEM_Initialize();

    // If using interrupts in PIC18 High/Low Priority Mode you need to enable the Global High and Low Interrupts
    // If using interrupts in PIC Mid-Range Compatibility Mode you need to enable the Global and Peripheral Interrupts
    // Use the following macros to:

    // Enable high priority global interrupts
    //INTERRUPT_GlobalInterruptHighEnable();

    // Enable low priority global interrupts.
    //INTERRUPT_GlobalInterruptLowEnable();

    // Disable high priority global interrupts
    //INTERRUPT_GlobalInterruptHighDisable();

    // Disable low priority global interrupts.
    //INTERRUPT_GlobalInterruptLowDisable();

    // Enable the Global Interrupts
    INTERRUPT_GlobalInterruptEnable();

    // Disable the Global Interrupts
    //INTERRUPT_GlobalInterruptDisable();

    // Enable the Peripheral Interrupts
    INTERRUPT_PeripheralInterruptEnable();

    // Disable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptDisable();

    ClockStart();
    
    while (1)
    {
        // Add your application code
    }
}
/**
 End of File
*/